Как установить Matplotlib для anaconda 1.9.1 и Python 3.3.4?

Я настраиваю Anaconda 1.9.1 вместе с Python 3.3.4, и я не могу настроить Matplotlib для среды anaconda, когда я пытаюсь добавить пакет с помощью Pycharm. Я также попытался установить из файла Matplotlib.exe, который я загрузил с его сайта. В этом случае я не могу изменить каталог установки. Я хотел бы знать, что есть способ решить эту проблему.

3 Solutions collect form web for “Как установить Matplotlib для anaconda 1.9.1 и Python 3.3.4?”

Если вы используете anaconda, ваша среда по умолчанию – Python 2.7. Вам нужно создать новую среду и установить там matplotlib.

В командной строке выполните следующие действия (ответьте «да» на вопросы):

 conda create --name mpl33 python=3.3 matplotlib ipython-notebook activate mpl33 ipython notebook 

Вы должны иметь возможность импортировать matplotlib, когда приходит сервер ноутбука.

  • Первая команда одновременно создает среду и устанавливает перечисленные пакеты.
  • Вторая команда активирует новую среду, добавив ее местоположение в системный путь
  • Третья команда запускает ipython-ноутбук, чтобы вы могли проверить все

Я не знаю, как работает pycharm, но я предполагаю, что вам нужно будет сказать, что нужно искать правильный питон, который вы хотите использовать. В этом случае это будет что-то вроде: C: / Users // anaconda / envs / mpl33. В любом случае в командной строке должен отображаться путь при активации среды.

Как только вы активируете среду, вы можете установить больше таких пакетов:

 conda install pandas=0.12 conda install pyodbc statsmodels 

Вы можете указать номера версий пакетов, такие как первая команда, или просто принять последнюю доступную версию (по умолчанию)

Предполагая, что вы уже установили enx python 3.x в anaconda, эта одна строка должна сделать трюк:
conda install matplotlib -n name
где имя – это имя, которое вы ранее дали вашему python 3 anaconda env. Если вы не уверены в имени, которое вы ему дали, это будет имя поддиректора в каталоге Anaconda \ envs.

Предыстория: Недавно я столкнулся с той же проблемой, когда matplotlib не установил по умолчанию anaconda, когда я добавил полный python 3 env, хотя это и предназначено. Вышеупомянутая линия решила это для меня; он дал мне следующие предупреждения, поэтому представляется вероятным, что две разные версии, из-за которых он первоначально не устанавливал, не устанавливали. Однако это позволило мне выбрать тот, который я хотел, а потом все отлично поработало.

Предупреждение: 2 возможных разрешения пакетов:
[u'dateutil-2.1-py33_2.tar.bz2 ', u'matplotlib-1.3.1-np18py33_1.tar.bz2', u'numpy-1.8.0-py33_0.tar.bz2 ', u'pyparsing-2.0. 1-py33_0.tar.bz2 ', u'pyside-1.2.1-py33_0.tar.bz2', u'python-3.3.5-0.tar.bz2 ', u'pytz-2013b-py33_0.tar.bz2 ', u'six-1.6.1-py33_0.tar.bz2']
[u'dateutil-2.1-py33_2.tar.bz2 ', u'matplotlib-1.3.1-np17py33_1.tar.bz2', u'numpy-1.7.1-py33_3.tar.bz2 ', u'pyparsing-1.5. 6-py33_0.tar.bz2 ', u'pyside-1.2.1-py33_0.tar.bz2', u'python-3.3.5-0.tar.bz2 ', u'pytz-2013b-py33_0.tar.bz2 ', u'six-1.6.1-py33_0.tar.bz2']

 conda install -c conda-forge matplotlib 
  • функция разности значений
  • return key по значению в словаре
  • Как сделать объект правильно хешируемым?
  • Формат строки python, вызывающий функцию
  • numpy & pandas 'ModuleNotFoundEror' в ноутбуке Jupyter (Python 3)
  • Qt.ScrollBarAsNeeded не показывает полосу прокрутки, когда это действительно необходимо
  • Произвольные байты длины для int встроены в Python
  • Python: Matplotlib дает ошибку «OverflowError: в draw_path: предел превышения ячейки»
  • Python - лучший язык программирования в мире.